# Ogre::Renderable::RenderSystemData Class Reference

An internal class that should be used only by a render system for internal use. More...

`#include <OgreRenderable.h>`

## Detailed Description

An internal class that should be used only by a render system for internal use.

Remarks:
  This class was created so a render system can associate internal data to this class. The need for this class started when the DX10 render system needed to save state objects.

Definition at line 70 of file OgreRenderable.h.

The documentation for this class was generated from the following file:

- OgreRenderable.h

Copyright © 2008 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 3.0 Unported License.
Last modified Wed Nov 3 2010 19:24:59